/* 
	PsyQ Overlay Example
	Basic demonstration of PsyQ overlay functionality for use with 
	reverse-engineering tools.
	Copyright 2019 Ben Lincoln
	https://www.beneaththewaves.net/

	This file is part of PsyQ Overlay Example.

	PsyQ Overlay Example is free software: you can redistribute it and/or modify
	it under the terms of version 3 of the GNU General Public License as published by
	the Free Software Foundation.

	PsyQ Overlay Example is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with PsyQ Overlay Example (in the file LICENSE.txt).  
	If not, see <http://www.gnu.org/licenses/>.

   */

#include "globals.h"

void overlay3_function_1(char *message)
{
	PrintMessage("This is a message from overlay3_function_1. Here is the message I received from my caller:");
	PrintMessage(message);
}

void overlay3_function_2()
{
	PrintMessage("I'm overlay 3, and I'm going to call PrintCurrentGlobalNumber(), which is in main.c.");
	PrintCurrentGlobalNumber();
	PrintMessage("I'm overlay 3, and I'm going to modify the global int GlobalNumber that's set up in main.c.");
	GlobalNumber = 333;
	PrintMessage("I'm overlay 3, and I'm going to call PrintCurrentGlobalNumber() again to verify that the global variable was changed.");
	PrintCurrentGlobalNumber();
}